Bug 239719 - kspread:openoffice: Text alignment not retained in kspread
Summary: kspread:openoffice: Text alignment not retained in kspread
Status: VERIFIED FIXED
Alias: None
Product: calligrasheets
Classification: Applications
Component: opendocument (show other bugs)
Version: unspecified
Platform: unspecified All
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Sheets (KSpread) Bugs
URL:
Keywords: reproducible
Depends on:
Blocks:
 
Reported: 2010-04-12 17:25 UTC by Lassi Nieminen
Modified: 2011-06-29 07:24 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
testdata to be opened in kspread (208.23 KB, application/vnd.oasis.opendocument.spreadsheet)
2010-04-12 17:25 UTC, Lassi Nieminen
Details
screenshot of the document in kspread (274.95 KB, image/png)
2010-04-12 17:31 UTC, Lassi Nieminen
Details
screenshot of the document in oocalc (196.62 KB, image/png)
2010-04-12 17:31 UTC, Lassi Nieminen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Faure 2010-05-28 03:30:43 UTC


---- Reported by lassi.ta.nieminen@nokia.com 2010-04-12 18:25:12 +0300 ----

Created an attachment
testdata to be opened in kspread

SOFTWARE VERSION:
  Kubuntu 9.10
  Koffice (svn version 1113826)
  Test document (OpenOffice): oos_break even analysis.ods

STEPS LEADING TO THE PROBLEM:
  1. Open the attached document in OpenOffice.
  2. Open the same document in KOffice.
  3. Observe the text in sheet "Example Plan"

EXPECTED OUTCOME:
  Kspread should be able to display the text in alignment.
  see attachment oos_alignment_oocalc.png

ACTUAL OUTCOME:
  Kspread is unable to display the text in alignment.
  see attachment oos_alignment_kspread.png

FREQUENCY:
  Always



---- Additional Comments From lassi.ta.nieminen@nokia.com 2010-04-12 18:31:16 +0300 ----

Created an attachment
screenshot of the document in kspread



---- Additional Comments From lassi.ta.nieminen@nokia.com 2010-04-12 18:31:33 +0300 ----

Created an attachment
screenshot of the document in oocalc



---- Additional Comments From lassi.ta.nieminen@nokia.com 2010-04-25 01:09:39 +0300 ----

reassign to Mek



--- Bug imported by faure@kde.org 2010-05-28 03:30  ---

This bug was previously known as _bug_ 163976.

Imported an attachment (id=47118)
Imported an attachment (id=47119)
Imported an attachment (id=47120)

Unknown bug field "example" encountered while moving bug
   <example>2010-04-25 01:09:39</example>

Comment 1 Marijn Kruisselbrink 2011-03-23 16:25:35 UTC
Git commit b4a7e612f696423f542aa8bcf64c6fb1449cc0f6 by Marijn Kruisselbrink.
Committed on 23/03/2011 at 16:24.
Pushed by mkruisselbrink into branch 'master'.

that a style is named "Default" does not mean that we can just ignore it. If Default has any propertyies set, we still need to record the parent<->child relationship between this style and the Default style.
BUG: 239719

M  +0    -2    tables/StyleManager.cpp     

http://commits.kde.org/calligra/b4a7e612f696423f542aa8bcf64c6fb1449cc0f6
Comment 2 swathi 2011-06-29 07:24:39 UTC
Verified in 5f6f9401b53343b140d2bae8587ec3a01f103fe1